<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.person.mapper.AdolescentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="adolescentResultMap" type="org.springblade.person.entity.Adolescent">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="parent_id" property="parentId"/>
        <result column="name" property="name"/>
        <result column="type" property="type"/>
        <result column="guardian_name" property="guardianName"/>
        <result column="guardian_id_card" property="guardianIdCard"/>
        <result column="guardian_address" property="guardianAddress"/>
        <result column="guardian_phone" property="guardianPhone"/>
        <result column="helper_name" property="helperName"/>
        <result column="helper_phone" property="helperPhone"/>
        <result column="situation" property="situation"/>
        <result column="relation" property="relation"/>
        <result column="crime" property="crime"/>
        <result column="crime_detail" property="crimeDetail"/>
        <result column="help_way" property="helpWay"/>
        <result column="help_situation" property="helpSituation"/>
        <result column="remark" property="remark"/>
    </resultMap>


    <select id="selectAdolescentPage" resultMap="adolescentResultMap">
        select * from personnel_adolescent where is_deleted = 0
    </select>

</mapper>
